Page MenuHomePhabricator

Special:Specialpage links jump to another column when clicking
Closed, ResolvedPublic

Description

since https://gerrit.wikimedia.org/r/#/c/205587/ was merged, now when I click on special page links on Special:Specialpage, the links now jump to the right column instead of taking me to the special page.

Reported upstream: https://code.google.com/p/chromium/issues/detail?id=480497

Event Timeline

aude created this task.Apr 23 2015, 1:49 PM
aude raised the priority of this task from to Needs Triage.
aude updated the task description. (Show Details)
aude added a project: MediaWiki-Special-pages.
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 23 2015, 1:49 PM
aude added a comment.Apr 23 2015, 1:51 PM

here's a screen capture of the issue :)

i am not quite sure how to fix. I have Chrome 42.0.2311.90 (64-bit) on mac.

aude added a comment.Apr 23 2015, 2:42 PM

happens on test.wikidata

https://test.wikidata.org/wiki/Special:SpecialPages

which means this made it into the deployment branch.

aude triaged this task as High priority.Apr 23 2015, 2:42 PM
aude set Security to None.
Glaisher added a subscriber: Glaisher.

Yep, I can also reproduce this on Chrome :/ (not with other browsers though)

Well, this is hilarious.

Hmm, chrome's implementation of columns seems to have some issues in general.. I reported this bug upstream. In case, we don't figure out a fix by Monday, we'll have to revert the patch.

Hmm, chrome's implementation of columns seems to have some issues in general.. I reported this bug upstream.

Thanks. You only forgot the link :-)
https://code.google.com/p/chromium/issues/detail?id=480497

Ricordisamoa updated the task description. (Show Details)

Sorry.. I was very busy the past few days and didn't have the time for this.

Change 208150 had a related patch set uploaded (by Glaisher):
Revert "Use CSS columns instead of tables in Special:SpecialPages"

https://gerrit.wikimedia.org/r/208150

Change 208150 merged by jenkins-bot:
Revert "Use CSS columns instead of tables in Special:SpecialPages"

https://gerrit.wikimedia.org/r/208150

matmarex closed this task as Resolved.May 1 2015, 8:01 PM
matmarex assigned this task to Glaisher.
matmarex removed a project: Patch-For-Review.

Looking at related task T99416, this appears to have been resolved in Chromium, so let's try reverting the revert.

Change 236781 had a related patch set uploaded (by Bartosz Dziewoński):
Revert "Revert "Use CSS columns instead of tables in Special:SpecialPages""

https://gerrit.wikimedia.org/r/236781

aude added a comment.Sep 22 2015, 8:59 AM

my issue was merged, as duplicate, into:

https://code.google.com/p/chromium/issues/detail?id=439820

(and now that is fixed)

Change 236781 merged by jenkins-bot:
Use CSS columns instead of tables in Special:SpecialPages (2)

https://gerrit.wikimedia.org/r/236781